field.storage_settings.daterange_timezone:
  type: field.storage_settings.daterange
  label: 'Datetime Range Timezone field'

field.value.daterange_timezone:
  type: field.value.daterange
  label: 'Default value'

field.formatter.settings.daterange_timezone:
  type: mapping
  label: 'Date range and timezone formatter'
  mapping:
    separator:
      type: label
      label: 'Separator'
    format_type:
      type: string
      label: 'The date format'
    display_timezone:
      type: boolean
      label: 'Show or hide the timezone'

field.formatter.settings.daterange_timezone_single_date:
  type: mapping
  label: 'Single Date range and timezone formatter'
  mapping:
    date_field:
      type: string
      label: 'The field to render'
    format_type:
      type: string
      label: 'The date format'
    display_timezone:
      type: boolean
      label: 'Show or hide the timezone'
